%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:           jboss-metadata
Version:        10.0.0
Release:        %mkrel 1
Group:          Development/Java
Summary:        JBoss Metadata
License:        LGPLv2+
URL:            https://github.com/jboss/metadata
Source0:        https://github.com/jboss/metadata/archive/%{namedversion}.tar.gz

BuildArch:      noarch

BuildRequires:  dos2unix
BuildRequires:  maven-local
BuildRequires:  mvn(com.sun.xml.bind:jaxb-impl)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.codehaus.mojo:buildnumber-maven-plugin)
BuildRequires:  mvn(org.hibernate.javax.persistence:hibernate-jpa-2.1-api)
BuildRequires:  mvn(org.jboss:jboss-parent:pom:)
BuildRequires:  mvn(org.jboss.ejb3:jboss-ejb3-ext-api)
BuildRequires:  mvn(org.jboss.jandex:jandex-maven-plugin)
BuildRequires:  mvn(org.jboss.logging:jboss-logging)
BuildRequires:  mvn(org.jboss.spec.javax.annotation:jboss-annotations-api_1.2_spec)
BuildRequires:  mvn(org.jboss.spec.javax.ejb:jboss-ejb-api_3.2_spec)
BuildRequires:  mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.2_spec)
BuildRequires:  mvn(org.jboss.spec.javax.jms:jboss-jms-api_2.0_spec)
BuildRequires:  mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.1_spec)
BuildRequires:  mvn(org.jboss.spec.javax.transaction:jboss-transaction-api_1.2_spec)

%description
This package contains JBoss Metadata for WildFly.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n metadata-%{namedversion}

# Fix the line ending in the license file:
dos2unix common/LICENSE.txt

%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_plugin :maven-dependency-plugin

%build
# Skip tests - no test deps
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README
%license common/LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license common/LICENSE.txt




%changelog
* Sun May 21 2017 neoclust <neoclust> 10.0.0-1.mga6
+ Revision: 1103965
- New version 10.0.0.Final
- Second rebuild of the java stack

* Sat Feb 27 2016 daviddavid <daviddavid> 8.0.0-2.mga6
+ Revision: 979927
- First rebuild of the java stack
- sync package jboss-metadata with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 31 2014 daviddavid <daviddavid> 8.0.0-1.mga5
+ Revision: 807644
- Sync with fc21 (update to 8.0.0.Final)
- fix Group

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 8.0.0-0.2.Beta2.2.mga4
+ Revision: 541953
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 8.0.0-0.2.Beta2.1.mga4
+ Revision: 496560
- New version

* Sun Jun 24 2012 gil <gil> 7.0.0-0.1.Beta32.mga3
+ Revision: 263133
- fix BR/R
- imported package jboss-metadata

